# 32/64 bit spec
#
%define name	texworks
%define version	0.6.1
%define rel	20150403-git_c29723a
%define release %mkrel 1

Summary:	A simple interface for working with TeX documents
Summary(de):	Eine einfache Schnittstelle für die Arbeit mit TeX-Dokumenten
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-release-%{version}.tar.xz
License:	GPLv2
Group:		Publishing
Url:		http://texworks.googlecode.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	%{_lib}qt4-devel >= 4.5.2
BuildRequires:  %{_lib}poppler-devel
BuildRequires:  %{_lib}poppler-qt4-devel
BuildRequires:	%{_lib}hunspell-devel >= 1.2.8
BuildRequires:  dbus-devel
BuildRequires:	cmake
BuildRequires:	zlib-devel

%description
TeXworks is an environment for authoring TeX (LaTeX, ConTeXt, etc)
documents, with a Unicode-based, TeX-aware editor, integrated PDF
viewer, and a clean, simple interface accessible to casual and
non-technical users.

TeXworks is inspired by Dick Koch's award-winning TeXShop program for
Mac OS X, which has made quality typesetting through TeX accessible to
a wider community of users, without a technical or intimidating
face. The goal of TeXworks is to deliver a similarly integrated,
easy-to-use environment for users on other platforms, especially
GNU/Linux and Windows.

%description -l de
Texworks ist eine Umgebung für das Schreiben von TeX- (LaTeX, ConTeXt, ...)
Dokumenten. Es bietet einen unicodebasierten TeX-Editor, integrierten PDF-
Betrachter und ein sauberes, einfaches Interface, das für nicht-technische und
Gelegenheitsnutzer geeignet ist.

TeXworks ist inspiriert von Dick Koch's TexShop Programm für Mac OS X, welches
den qualitativen Textsatz durch TeX für eine breiter Gemeinschaft zugänglich
gemacht hat, ohne komplizierte Bedienung. Das Ziel von TeXworks ist es eine
derartige und einfach zu benutzende Umgebung für andere Plattformen, insbesondere
GNU/Linux und Windows, zu liefern.

%prep
%setup -q -n %{name}-release-%{version}

%build
%cmake_qt4 -DINSTALL_PREFIX=/usr -DDESIRED_QT_VERSION=4 -DWITH_LUA:BOOL=FALSE -DWITH_PYTHON:BOOL=FALSE 
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std -C build


%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc NEWS README.md COPYING
%_bindir/texworks
%_mandir/man1/texworks.*
%_datadir/applications/texworks.desktop
%_datadir/pixmaps/TeXworks.png
%{_datadir}/appdata/texworks.appdata.xml

%changelog
* Fri Jan 27 2017 adrianomorselli <adrianomorselli> 0.6.1-1uplos2017
- back to qt4

* Wed Dec 21 2016 ghostbunny <ghostbunny at gmx dot de> 0.6.1-1pclos2017
- 0.6.1
- switch to qt5 build

* Sat Apr 16 2016 ghostbunny <ghostbunny at gmx dot de> 0.6.0-1pclos2016
- 0.6.0

* Sun Jun 21 2015 ghostbunny <ghostbunny at gmx dot de> 0.4.6-1pclos2015
- 0.4.6 and rebuild for new hunspell version
- switch to cmake build

* Thu Oct 08 2014 bb <bb> 0.4.5-2pclos2014
- rebuild against updated poppler library

* Sat May 04 2013 ghostbunnny <ghostbunny at gmx dot de> 0.4.5-1pclos2013
- 0.4.5

* Sun May 27 2012 ghostbunny <ghostbunny at gmx dot de> 0.4.4-1pclos2012
- 0.4.4

